Bug 62582 - Port Update: net/xprobe
Summary: Port Update: net/xprobe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-09 11:20 UTC by yonatan
Modified: 2004-03-14 01:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yonatan 2004-02-09 11:20:14 UTC
This port obsoletes ports/55446, which was for rc1 anyway.
This port should be called xprobe2 and not xprobe.
Note the ugly hack to get libusi++ working again. I tried to make it a stand-alone port, but the homepage is gone.
Minor fix for man page too.

Fix: 

shar of new port:
http://j.xpert.com/FreeBSD/ports/xprobe2.shar
or diff, if you prefer:
http://j.xpert.com/FreeBSD/ports/xprobe2.diff
How-To-Repeat: N/A
Comment 1 Pav Lucistnik freebsd_committer 2004-02-25 23:51:27 UTC
State Changed
From-To: open->feedback

This fails to build on -CURRENT (gcc 3.3.3 20031106): 

c++ -O -pipe -g  -Wall -W -Wcast-align -Wcast-qual -Wmissing-prototypes -Wshadow -I../ -I../../ -I ../../../ -I../../../xplib -I ../../../../libs-external/USI++ -c icmp_echo_id.cc 
icmp_echo_id.h: In destructor `virtual  
ICMP_Echo_Code_Chk::~ICMP_Echo_Code_Chk()': 
icmp_echo_id.h:59: internal compiler error: Segmentation fault 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://gcc.gnu.org/bugs.html> for instructions. 
*** Error code 1 

Do you have any idea how to fix it? 


Comment 2 Pav Lucistnik freebsd_committer 2004-02-25 23:51:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track.
Comment 3 Pav Lucistnik freebsd_committer 2004-03-14 01:06:42 UTC
State Changed
From-To: feedback->closed

Committed, thanks!